module GrowViral
  module Keystore
    class Configuration

      attr_reader :env
      def initialize(env)
        @env = env
      end

      def host
        case env.to_sym
        when :test
        when :development
          ENV["GROWVIRAL_KEYSTORE_HOST"] || "http://localhost:3000"
        when :production
          ENV["GROWVIRAL_KEYSTORE_HOST"]
        end
      end
    end
  end
end
