require "net/http"
require "uri"
require 'json'

require "keystore/version"
require "keystore/client"
require "keystore/configuration"

require "keystore/application"
require "keystore/application_fetcher"

require "keystore/account"
require "keystore/account_fetcher"
require "keystore/account_creator"

module GrowViral
  module Keystore
  end

  class NoAccountError < RuntimeError
  end

  class HandleNotUidError < RuntimeError
  end
end
